Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mars.mips.instructions
Interface SimulationCode

    public interface SimulationCode

Interface to represent the method for simulating the execution of a specific MIPS basic instruction. It will be implemented by the anonymous class created in the last argument to the BasicInstruction constructor.

Author:
  Pete Sanderson

Method Summary
`void` | `simulate(ProgramStatement statement)` Method to simulate the execution of a specific MIPS basic instruction.

Method Detail

### simulate

    void simulate(ProgramStatement statement)
                  throws ProcessingException

  Method to simulate the execution of a specific MIPS basic instruction.

  Parameters:
    `statement` - A ProgramStatement representing the MIPS instruction to simulate.
  Throws:
    `ProcessingException` - This is a run-time exception generated during simulation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD